module.exports =
{
	plugins: [ 'import' ],

	rules:
	{

		/**
		* Static analysis
		*/

		// Ensure imports point to a file/module that can be resolved.
		'import/no-unresolved': 'off',

		// Ensure named imports correspond to a named export in the remote file.
		'import/named': 'warn',

		// Ensure a default export is present, given a default import.
		'import/default': 'warn',

		// Forbid import of modules using absolute paths
		'import/no-absolute-path': 'warn',

		// Forbid Webpack loader syntax in imports
		'import/no-webpack-loader-syntax': 'warn',

		/**
		* Helpful warnings
		*/

		// Report any invalid exports, i.e. re-export of the same name
		'import/export': 'warn',

		// Report use of exported name as identifier of default export
		'import/no-named-as-default': 'warn',

		// Report use of exported name as property of default export
		'import/no-named-as-default-member': 'warn',

		// Forbid the use of mutable exports with var or let.
		'import/no-mutable-exports': 'warn',

		/**
		* Style guide
		*/

		// Report repeated import of the same module in multiple places
		'import/no-duplicates': 'warn',

		// Enforce a newline after import statements
		'import/newline-after-import': 'warn',

		// Prefer a default export if module exports a single name
		'import/prefer-default-export': 'warn'
	}
};